> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snackbase.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Configuration Values

> Get decrypted configuration values with secrets masked.



## OpenAPI

````yaml get /api/v1/admin/configuration/{config_id}/values
openapi: 3.1.0
info:
  title: SnackBase
  description: Open-source Backend-as-a-Service (BaaS)
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/admin/configuration/{config_id}/values:
    get:
      tags:
        - admin
        - admin
      summary: Get Configuration Values
      description: Get decrypted configuration values with secrets masked.
      operationId: >-
        get_configuration_values_api_v1_admin_configuration__config_id__values_get
      parameters:
        - name: config_id
          in: path
          required: true
          schema:
            type: string
            title: Config Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````